@import "../../.././common/css/fonts";
@import "../../.././common/css/colors";
@import "../../.././common/css/media";
@import "../../.././common/css/common";

.cmp-container--header {
    padding: 12px 0px;


    .cmp-container {
        display: flex;
        justify-content: center;
        gap: 32px;
        align-items: center;

        @include mobile {
            flex-wrap: wrap;
        }

        .cmp-image--header {
            .cmp-image {

                .cmp-image__image {
                    width: 96px;
                    height: 29px;
                    object-fit: contain;

                    @include mobile {
                        width: 60px;
                        height: 30px;
                    }
                }
            }
        }


        .cmp-search--header {
            .cmp-search {

                @include mobile {
                    width: 150px;
                }

                .cmp-search__form {}

                .cmp-search__field {
                    .cmp-search__icon {
                        width: 16px;
                        height: 16px;
                    }

                    .cmp-search__input {
                        border-radius: 8px;
                        background: #F5F5F5;
                        outline: none;
                        border: none;
                        color: #656565;
                        font-size: 14px;
                        font-style: normal;
                        font-weight: 500;
                        line-height: 18px;
                    }
                }
            }
        }



        .cmp-navigation--header {


            @include mobile {
                display: none;
            }

            .cmp-navigation {

                .cmp-navigation__group {
                    display: flex;
                    justify-content: center;

                    @include mobile {
                        flex-wrap: wrap;
                    }

                    .cmp-navigation__item--level-0 {
                        position: relative;
                        padding: 0px 30px;

                        .cmp-navigation__item-link {
                            color: #000;
                            font-size: 16px;
                            font-weight: 500;

                            &:hover {
                                text-decoration: underline;

                                +.cmp-navigation__group {
                                    opacity: 1;
                                    visibility: visible;
                                    // transform: translateY(0px);
                                }

                            }
                        }

                        .cmp-navigation__group {
                            width: 150px;
                            position: absolute;
                            padding-top: 25%;
                            left: 0;
                            display: flex;
                            flex-direction: column;
                            visibility: hidden;
                            opacity: 0;
                            background-color: #ffffff;
                            color: rgb(0, 0, 0);
                            text-align: center;
                            // transform: translateY(-400%);
                            transition: opacity 0.9s ease, transform 0.9s ease, visibility 0.9s;

                            @include mobile {
                                display: none;
                            }


                            &:hover {
                                opacity: 1;
                                visibility: visible;
                                transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s;

                            }

                            .cmp-navigation__item--level-1 {
                                padding: 10px 0px;

                                .cmp-navigation__item-link {}

                                .cmp-navigation__group {
                                    top: 60px;
                                    left: 150px;

                                    @include mobile {
                                        display: none;
                                    }
                                }
                            }
                        }
                    }


                }
            }
        }

        .cmp-navigation--mobileheader {
            display: none;

            @include mobile {
                display: block;
                width: 275px;
                height: 100%;
                position: fixed;
                top: 0;
                left: -300px;
                overflow-y: auto;
                opacity: 0;
                visibility: hidden;
                background: #202020;
                box-shadow: inset -3px 0px 5px 0px rgba(0, 0, 0, 0.35);
                z-index: 10002;
                transition: all 1s ease-in-out;
            }

            .cmp-navigation {

                .cmp-navigation__group {
                    display: flex;
                    justify-content: center;

                    @include mobile {
                        flex-wrap: wrap;
                        flex-direction: column;
                        gap: 20px;
                        padding-top: 16px;
                    }

                    .cmp-navigation__item--level-0 {
                        position: relative;

                        .cmp-navigation__item-link {
                            display: block;
                            color: #EBEBEB;
                            text-decoration: none;
                            height: 44px;
                            line-height: 44px;
                            border-top: solid 1px rgba(255, 255, 255, 0.05);
                            padding: 0 1em 0 1em;
                        }
                    }

                    .cmp-navigation__group {
                        width: 150px;
                        position: absolute;
                        padding-top: 25%;
                        left: 0;
                        display: flex;
                        flex-direction: column;
                        visibility: hidden;
                        opacity: 0;
                        background-color: #ffffff;
                        color: rgb(0, 0, 0);
                        text-align: center;
                        // transform: translateY(-400%);
                        transition: opacity 0.9s ease, transform 0.9s ease, visibility 0.9s;

                        @include mobile {
                            display: none;
                        }


                        &:hover {
                            opacity: 1;
                            visibility: visible;
                            transition: opacity 0.3s ease, transform 0.3s ease, visibility 0.3s;

                        }

                        .cmp-navigation__item--level-1 {
                            padding: 10px 0px;

                            .cmp-navigation__item-link {}

                            .cmp-navigation__group {
                                top: 60px;
                                left: 150px;

                                @include mobile {
                                    display: none;
                                }
                            }
                        }
                    }
                }


            }
        }

        .cmp-navigation--mobileheaderShow {

            @include mobile {
                opacity: 1;
                visibility: visible;
                left: 0px;
                transition: all 1s ease-in-out;
            }
        }

        .cmp-image--mobileheadermenu {
            display: none;

            @include mobile {
                display: block;
            }

            .cmp-image {

                .cmp-image__image {
                    // display: none;



                    @include mobile {
                        display: block;
                        width: 30px;
                        height: 30px;
                        object-fit: contain;
                    }
                }
            }
        }

    }
}